Update an existing question
This endpoint allows you to update an existing question.
POST
This endpoint allows you to update an existing question.
Loading code example
Loading code example
Authorizations
apiKeyAuthstringheaderrequired
API key passed in the header.
Path Parameters
idstringrequired
Body
Body
questionTextstringrequiredThe text of the question
loyaltyQuestionAnswersarray<object>requiredArray of choices for the question
loyaltyQuestionAnswers.idstring<uuid>UUID of the choice (optional for new choices)
loyaltyQuestionAnswers.textstringrequiredThe text of the choice
loyaltyQuestionAnswers.isCorrectbooleanrequiredWhether this choice is correct
loyaltyQuestionAnswers.sortIdentifiernumberrequiredThe order in which to display the choice
Response
application/json
200
idstring<uuid>requiredtextstringrequiredloyaltyQuestionChoicesarray<object>requiredloyaltyQuestionChoices.idstring<uuid>requiredloyaltyQuestionChoices.textstringrequiredloyaltyQuestionChoices.sortIdentifiernumberrequired